## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Class TableType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.TableType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class TableType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Table Type', and utility methods for working with them.

See Also:
  `org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseasesqlmodelPackage#getTableType()`, Serialized Form

Field Summary
`static int` `NONESHARABLETEMPTABLE` The 'NONESHARABLETEMPTABLE' literal value.
`static TableType` `NONESHARABLETEMPTABLE_LITERAL` The 'NONESHARABLETEMPTABLE' literal object.
`static int` `PROXYTABLE` The 'PROXYTABLE' literal value.
`static TableType` `PROXYTABLE_LITERAL` The 'PROXYTABLE' literal object.
`static int` `SHARABLETEMPTABLE` The 'SHARABLETEMPTABLE' literal value.
`static TableType` `SHARABLETEMPTABLE_LITERAL` The 'SHARABLETEMPTABLE' literal object.
`static int` `SYSTEMTABLE` The 'SYSTEMTABLE' literal value.
`static TableType` `SYSTEMTABLE_LITERAL` The 'SYSTEMTABLE' literal object.
`static int` `USERTABLE` The 'USERTABLE' literal value.
`static TableType` `USERTABLE_LITERAL` The 'USERTABLE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Table Type' enumerators.
`static int` `WEBSERVICEASTABLE` The 'WEBSERVICEASTABLE' literal value.
`static TableType` `WEBSERVICEASTABLE_LITERAL` The 'WEBSERVICEASTABLE' literal object.

Method Summary
`static TableType` `get(int value)` Returns the 'Table Type' literal with the specified integer value.
`static TableType` `get(java.lang.String literal)` Returns the 'Table Type' literal with the specified literal value.
`static TableType` `getByName(java.lang.String name)` Returns the 'Table Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### USERTABLE

    public static final int USERTABLE

  The 'USERTABLE' literal value.

  If the meaning of 'USERTABLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `USERTABLE_LITERAL`, Constant Field Values

### SHARABLETEMPTABLE

    public static final int SHARABLETEMPTABLE

  The 'SHARABLETEMPTABLE' literal value.

  If the meaning of 'SHARABLETEMPTABLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SHARABLETEMPTABLE_LITERAL`, Constant Field Values

### NONESHARABLETEMPTABLE

    public static final int NONESHARABLETEMPTABLE

  The 'NONESHARABLETEMPTABLE' literal value.

  If the meaning of 'NONESHARABLETEMPTABLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONESHARABLETEMPTABLE_LITERAL`, Constant Field Values

### PROXYTABLE

    public static final int PROXYTABLE

  The 'PROXYTABLE' literal value.

  If the meaning of 'PROXYTABLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROXYTABLE_LITERAL`, Constant Field Values

### SYSTEMTABLE

    public static final int SYSTEMTABLE

  The 'SYSTEMTABLE' literal value.

  If the meaning of 'SYSTEMTABLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SYSTEMTABLE_LITERAL`, Constant Field Values

### WEBSERVICEASTABLE

    public static final int WEBSERVICEASTABLE

  The 'WEBSERVICEASTABLE' literal value.

  If the meaning of 'WEBSERVICEASTABLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WEBSERVICEASTABLE_LITERAL`, Constant Field Values

### USERTABLE_LITERAL

    public static final TableType USERTABLE_LITERAL

  The 'USERTABLE' literal object.

  See Also:
    `USERTABLE`

### SHARABLETEMPTABLE_LITERAL

    public static final TableType SHARABLETEMPTABLE_LITERAL

  The 'SHARABLETEMPTABLE' literal object.

  See Also:
    `SHARABLETEMPTABLE`

### NONESHARABLETEMPTABLE_LITERAL

    public static final TableType NONESHARABLETEMPTABLE_LITERAL

  The 'NONESHARABLETEMPTABLE' literal object.

  See Also:
    `NONESHARABLETEMPTABLE`

### PROXYTABLE_LITERAL

    public static final TableType PROXYTABLE_LITERAL

  The 'PROXYTABLE' literal object.

  See Also:
    `PROXYTABLE`

### SYSTEMTABLE_LITERAL

    public static final TableType SYSTEMTABLE_LITERAL

  The 'SYSTEMTABLE' literal object.

  See Also:
    `SYSTEMTABLE`

### WEBSERVICEASTABLE_LITERAL

    public static final TableType WEBSERVICEASTABLE_LITERAL

  The 'WEBSERVICEASTABLE' literal object.

  See Also:
    `WEBSERVICEASTABLE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Table Type' enumerators.

Method Detail

### get

    public static TableType get(java.lang.String literal)

  Returns the 'Table Type' literal with the specified literal value.

### getByName

    public static TableType getByName(java.lang.String name)

  Returns the 'Table Type' literal with the specified name.

### get

    public static TableType get(int value)

  Returns the 'Table Type' literal with the specified integer value.